﻿using System.ComponentModel.Composition;
using System.ComponentModel.Composition.Hosting;
using System.Windows;
using System.Windows.Controls;
using AlbumBrowser.Core;

namespace AlbumBrowser
{
    public partial class MainPage: UserControl
    {
        private AggregateCatalog _catalog = new AggregateCatalog();

        public MainPage()
        {
            InitializeComponent();

            InitializeContainer();
        }

        private void InitializeContainer()
        {
            _catalog.Catalogs.Add(new DeploymentCatalog());
            CompositionContainer container = new CompositionContainer(_catalog);
            CompositionHost.Initialize(container);
            CompositionInitializer.SatisfyImports(this);
        }

        [Import(AllowDefault = true, AllowRecomposition = true)]
        public IInfoService InfoService { get; set; }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var catalog = new DeploymentCatalog("AlbumBrowser.SuperServices.xap");
            _catalog.Catalogs.Add(catalog);
            catalog.DownloadCompleted += new System.EventHandler<System.ComponentModel.AsyncCompletedEventArgs>(catalog_DownloadCompleted);
            catalog.DownloadAsync();
        }

        void catalog_DownloadCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e)
        {
         
        }

        
    }
}
